package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public class SshMsgUnimplemented
        extends Message<SshMsgUnimplemented.Handler> {

    public final int packetSequenceNumber;

    public SshMsgUnimplemented(int packetSequenceNumber) {
        this.packetSequenceNumber = packetSequenceNumber;
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgUnimplemented {"
                + "packetSequenceNumber=" + this.packetSequenceNumber
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgUnimplemented message, MessageConnection<Message> connection);

    }
}
